Main Page Class Hierarchy Compound List File List Compound Members File Members

# CommandPkg Class Reference

Implementa il messaggio di comando.@n Permette di spedire ad un Aibo un comando di movimento, movimento sia per le zampe sia per la testa.@n Struttura: oltre all'header standard e' composto da:@n commandType [1byte]= tipo di comando: 1 se per le zampe, 0 se per la testa.@n command [8byte]=stringa contenente il comando.@n when [4byte]=quando eseguire il comando, in tempo assoluto.@n. More...

`#include <CommandPkg.h>`

Inheritance diagram for CommandPkg:

List of all members.

## Public Methods
| CommandPkg (int a, const char command[8], time_t when, typeOfCommand cmdType, bool ack)
| Costruttore ordinario. More...
| CommandPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~CommandPkg ()
| Distruttore di Default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...
typeOfCommand | getTypeOfCommand ()
| Tipo di comando. More...
const char * | getCommand ()
| Comando da eseguire. More...
time_t | whenExecuteCommand ()
| Quando eseguire il comando. More...

## Detailed Description

Implementa il messaggio di comando.@n Permette di spedire ad un Aibo un comando di movimento, movimento sia per le zampe sia per la testa.@n Struttura: oltre all'header standard e' composto da:@n commandType [1byte]= tipo di comando: 1 se per le zampe, 0 se per la testa.@n command [8byte]=stringa contenente il comando.@n when [4byte]=quando eseguire il comando, in tempo assoluto.@n.

## Constructor & Destructor Documentation

CommandPkg::CommandPkg | ( | int | a,
|  | const char | command[8],
|  | time_t | when,
|  | typeOfCommand | cmdType,
|  | bool | ack
| ) |

  | Costruttore ordinario. Parameters:
  a | aibo di destinazione.
  command | comando da spedire.
  when | quando eseguire il comando.
  cmdType | tipo di comando (zampe o testa)
  See also: typeOfCommand. Parameters:
  ack | se richiede o meno l'ack

CommandPkg::CommandPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * CommandPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

const char* CommandPkg::getCommand | ( |  | ) | `[inline]`

| Comando da eseguire. Returns: una stringa rappresentante il comando da eseguire e da mandare a. stringa raprresentante il comando da eseguire.

byte * CommandPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: CommandPkg(byte* ptr) Implements TelepatiPkg.

typeOfCommand CommandPkg::getTypeOfCommand | ( |  | ) | `[inline]`

| Tipo di comando. Da informazioni sul tipo di comando spedito, se il comando è per le zampe o per la testa. Returns: tipo di comando. See also: typeOfCommand

time_t CommandPkg::whenExecuteCommand | ( |  | ) | `[inline]`

| Quando eseguire il comando. Da informazioni su quando eseguire il comando. Returns: tempo assoluto in cui eseguire il comando.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/CommandPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/CommandPkg.cc